> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Variable Catalog

> The templated variables the form builder can insert into form text.



## OpenAPI

````yaml get /forms/variable-catalog
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /forms/variable-catalog:
    get:
      tags:
        - Forms
      summary: Get Variable Catalog
      description: The templated variables the form builder can insert into form text.
      operationId: get_variable_catalog_forms_variable_catalog_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/VariableCatalogEntry'
                type: array
                title: Response Get Variable Catalog Forms Variable Catalog Get
components:
  schemas:
    VariableCatalogEntry:
      properties:
        source:
          type: string
          title: Source
        fieldKey:
          type: string
          title: Fieldkey
        token:
          type: string
          title: Token
        label:
          type: string
          title: Label
        requiresNamespaces:
          items:
            type: string
          type: array
          title: Requiresnamespaces
          default: []
        unresolvablePlaceholders:
          items:
            type: string
          type: array
          title: Unresolvableplaceholders
          default: []
      type: object
      required:
        - source
        - fieldKey
        - token
        - label
      title: VariableCatalogEntry

````